Task.Counter (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, class: Task, enum: Counter

Package org.apache.hadoop.mapred

# Enum Class Task.Counter

java.lang.Object
java.lang.Enum<Task.Counter>
org.apache.hadoop.mapred.Task.Counter

All Implemented Interfaces:
  `Serializable`, `Comparable<Task.Counter>`, `Constable`

Enclosing class:
  org.apache.hadoop.mapred.Task

@Deprecated public static enum Task.Counter extends Enum<Task.Counter>
Deprecated.
Provided for compatibility. Use `TaskCounter` instead.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMBINE_INPUT_RECORDS`
  Deprecated.
  `COMBINE_OUTPUT_RECORDS`
  Deprecated.
  `COMMITTED_HEAP_BYTES`
  Deprecated.
  `CPU_MILLISECONDS`
  Deprecated.
  `MAP_INPUT_BYTES`
  Deprecated.
  `MAP_INPUT_RECORDS`
  Deprecated.
  `MAP_OUTPUT_BYTES`
  Deprecated.
  `MAP_OUTPUT_MATERIALIZED_BYTES`
  Deprecated.
  `MAP_OUTPUT_RECORDS`
  Deprecated.
  `MAP_PHYSICAL_MEMORY_BYTES_MAX`
  Deprecated.
  `MAP_SKIPPED_RECORDS`
  Deprecated.
  `MAP_VIRTUAL_MEMORY_BYTES_MAX`
  Deprecated.
  `PHYSICAL_MEMORY_BYTES`
  Deprecated.
  `REDUCE_INPUT_GROUPS`
  Deprecated.
  `REDUCE_INPUT_RECORDS`
  Deprecated.
  `REDUCE_OUTPUT_RECORDS`
  Deprecated.
  `REDUCE_PHYSICAL_MEMORY_BYTES_MAX`
  Deprecated.
  `REDUCE_SHUFFLE_BYTES`
  Deprecated.
  `REDUCE_SKIPPED_GROUPS`
  Deprecated.
  `REDUCE_SKIPPED_RECORDS`
  Deprecated.
  `REDUCE_VIRTUAL_MEMORY_BYTES_MAX`
  Deprecated.
  `SPILLED_RECORDS`
  Deprecated.
  `SPLIT_RAW_BYTES`
  Deprecated.
  `VIRTUAL_MEMORY_BYTES`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Task.Counter`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this class with the specified name.
  `static Task.Counter[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAP_INPUT_RECORDS

    public static final Task.Counter MAP_INPUT_RECORDS
    Deprecated.

  - ### MAP_OUTPUT_RECORDS

    public static final Task.Counter MAP_OUTPUT_RECORDS
    Deprecated.

  - ### MAP_SKIPPED_RECORDS

    public static final Task.Counter MAP_SKIPPED_RECORDS
    Deprecated.

  - ### MAP_INPUT_BYTES

    public static final Task.Counter MAP_INPUT_BYTES
    Deprecated.

  - ### MAP_OUTPUT_BYTES

    public static final Task.Counter MAP_OUTPUT_BYTES
    Deprecated.

  - ### MAP_OUTPUT_MATERIALIZED_BYTES

    public static final Task.Counter MAP_OUTPUT_MATERIALIZED_BYTES
    Deprecated.

  - ### COMBINE_INPUT_RECORDS

    public static final Task.Counter COMBINE_INPUT_RECORDS
    Deprecated.

  - ### COMBINE_OUTPUT_RECORDS

    public static final Task.Counter COMBINE_OUTPUT_RECORDS
    Deprecated.

  - ### REDUCE_INPUT_GROUPS

    public static final Task.Counter REDUCE_INPUT_GROUPS
    Deprecated.

  - ### REDUCE_SHUFFLE_BYTES

    public static final Task.Counter REDUCE_SHUFFLE_BYTES
    Deprecated.

  - ### REDUCE_INPUT_RECORDS

    public static final Task.Counter REDUCE_INPUT_RECORDS
    Deprecated.

  - ### REDUCE_OUTPUT_RECORDS

    public static final Task.Counter REDUCE_OUTPUT_RECORDS
    Deprecated.

  - ### REDUCE_SKIPPED_GROUPS

    public static final Task.Counter REDUCE_SKIPPED_GROUPS
    Deprecated.

  - ### REDUCE_SKIPPED_RECORDS

    public static final Task.Counter REDUCE_SKIPPED_RECORDS
    Deprecated.

  - ### SPILLED_RECORDS

    public static final Task.Counter SPILLED_RECORDS
    Deprecated.

  - ### SPLIT_RAW_BYTES

    public static final Task.Counter SPLIT_RAW_BYTES
    Deprecated.

  - ### CPU_MILLISECONDS

    public static final Task.Counter CPU_MILLISECONDS
    Deprecated.

  - ### PHYSICAL_MEMORY_BYTES

    public static final Task.Counter PHYSICAL_MEMORY_BYTES
    Deprecated.

  - ### VIRTUAL_MEMORY_BYTES

    public static final Task.Counter VIRTUAL_MEMORY_BYTES
    Deprecated.

  - ### COMMITTED_HEAP_BYTES

    public static final Task.Counter COMMITTED_HEAP_BYTES
    Deprecated.

  - ### MAP_PHYSICAL_MEMORY_BYTES_MAX

    public static final Task.Counter MAP_PHYSICAL_MEMORY_BYTES_MAX
    Deprecated.

  - ### MAP_VIRTUAL_MEMORY_BYTES_MAX

    public static final Task.Counter MAP_VIRTUAL_MEMORY_BYTES_MAX
    Deprecated.

  - ### REDUCE_PHYSICAL_MEMORY_BYTES_MAX

    public static final Task.Counter REDUCE_PHYSICAL_MEMORY_BYTES_MAX
    Deprecated.

  - ### REDUCE_VIRTUAL_MEMORY_BYTES_MAX

    public static final Task.Counter REDUCE_VIRTUAL_MEMORY_BYTES_MAX
    Deprecated.

- ## Method Details

  - ### values

    public static Task.Counter[] values()
    Deprecated.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Task.Counter valueOf(String name)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null